Summary:	LibOFX library that allows applications to support OFX command responses
Summary(pl.UTF-8):	Biblioteka LibOFX pozwalająca aplikacjom obsługiwać odpowiedzi na polecenia OFX
Name:		libofx
Version:	0.9.4
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libofx/%{name}-%{version}.tar.gz
# Source0-md5:	f2419bf8d01c0cff74efe7084e0a26c5
Patch0:		%{name}-system-wide-treehh.patch
Patch1:		stdc++.patch
URL:		http://libofx.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel >= 7.9.7
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	opensp-devel
BuildRequires:	libxml++-devel >= 2.6
BuildRequires:	tree.hh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the LibOFX library. It is a API designed to allow applications
to very easily support OFX command responses, usually provided by
financial institutions. See http://www.ofx.net/ofx/default.asp for
details and specification. LibOFX is based on the excellent OpenSP
library written by James Clark, and now part of the OpenJADE project
(http://openjade.sourceforge.net/). LibOFX is written in C++, but
provides a C style interface usable transparently from both C and C++
using a single include file.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę LibOFX. Jest to API zaprojektowane aby
umożliwić aplikacjom w prosty sposób obsługiwać odpowiedzi na
polecenia OFX, zwykle udostępniane przez instytucje finansowe.
Szczegóły oraz specyfikację można znaleźć na stronie
http://www.ofx.net/ofx/default.asp. LibOFX jest oparta na świetnej
bibliotece OpenSP napisanej przez Jamesa Clarka, będącej teraz częścią
projektu OpenJADE (http://openjade.sourceforge.net/). LibOFX jest
napisana w C++, ale udostępnia interfejs w C, którego można używać w
sposób przezroczysty z poziomu C i C++ przy użyciu tego samego pliku
nagłówkowego.

%package devel
Summary:	Header files for LibOFX library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibOFX
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	opensp-devel

%description devel
Header files for developing programs using LibOFX.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów z użyciem LibOFX.

%package static
Summary:	Static version LibOFX library
Summary(pl.UTF-8):	Biblioteka statyczna LibOFX
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibOFX library.

%description static -l pl.UTF-8
Statyczna biblioteka LibOFX.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
rm -f lib/tree.hh

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-opensp-libs=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libofx

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ofx2qif
%attr(755,root,root) %{_bindir}/ofxconnect
%attr(755,root,root) %{_bindir}/ofxdump
%attr(755,root,root) %{_libdir}/libofx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libofx.so.4
%{_datadir}/libofx
%{_mandir}/man1/ofxconnect.1*
%{_mandir}/man1/ofxdump.1*

%files devel
%defattr(644,root,root,755)
%doc doc/html
%attr(755,root,root) %{_libdir}/libofx.so
%{_libdir}/libofx.la
%{_includedir}/libofx
%{_pkgconfigdir}/libofx.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libofx.a
%changelog
* Sun May 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libofx.git;a=log;h=master

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> 78a061f
- fix building with current c++
- rel 2

* Thu Apr 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 6ecd9ef
- updated to 0.9.4
- BR: libxml++-devel, ofxconnect is now built again

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> 9318c52
- Up to 0.9.2
- Removed patch applied upstream

* Sat Aug 08 2009 Artur Frysiak <artur@frysiak.net> 8db0498
- updated to 0.9.1

* Tue May 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 82c7154
- ghost soname symlink

* Wed May 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 76a05fe
- up to 0.9.0

* Wed May 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 157985c
- updated

* Tue Feb 26 2008 Elan Ruusamäe <glen@pld-linux.org> 9da8305
- release 2

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 8788f77
- more verbose files
- package .pc file

* Sun May 27 2007 japhy <japhy@pld-linux.org> 63a5855
- Up to 0.8.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c2e79e0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cdd50c6
- converted to UTF-8

* Wed Oct 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 9857ac8
- updated to 0.8.2, removed obsolete am patch

* Wed Oct 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 9610bfb
- obsolete

* Tue Jan 24 2006 Paweł Sikora <pluto@pld-linux.org> 24be9b5
- build/link fixed.

* Tue Jan 24 2006 Paweł Sikora <pluto@pld-linux.org> fa8302a
- fix typo / link failure.

* Tue Jan 24 2006 Paweł Sikora <pluto@pld-linux.org> 02125d5
- use system wide lib.

* Tue Jan 24 2006 wrobell <wrobell@pld-linux.org> 9cca231
- fixed compilation problems on gcc 4

* Tue Jan 24 2006 wrobell <wrobell@pld-linux.org> 92be7f6
- fix compilation problems on gcc 4

* Mon Oct 24 2005 Jakub Bogusz <qboosh@pld-linux.org> 81b5160
- BR: curl-devel (for ofxconnect utility)

